Bug 125213 - (fc2srupgrade) Installer can't mount software raid 5 partition
Installer can't mount software raid 5 partition
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-06-03 13:19 EDT by Gabriele Marrone
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-04 11:19:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gabriele Marrone 2004-06-03 13:19:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040211 Firefox/0.8

Description of problem:
I'm using a Fedora Core 1 system.
My /usr is a raid 5 software array.
Rebooting and running the Fedora Core 2 installer (I have the DVD
version, downloaded & recorded), after I choose to upgrade my FC1
system, installer says it's unable to mount /dev/md1 to /usr because
of "No such file or directory".
Then all I can do is click on "ok" to reboot the system.

How reproducible:

Steps to Reproduce:
Upgrade a Fedora Core 1 system with /usr (or anything else, I guess)
as a raid 5 software array.
Comment 1 Jeremy Katz 2004-06-04 02:04:40 EDT
Are there any errors with starting the RAID array on tty4 from the
kernel?  Can you switch to tty2 and see if raidstart /dev/md1 works?
Comment 2 Gabriele Marrone 2004-06-04 08:12:21 EDT
Ok, it seems you've found the problem :)

# raidstart /dev/md1
* missing components of raid device md1.  The raid device needs 3
drive(s) and only 2 (was/were) found. This raid device will not be
could not find devices associated with raid device md1

In fact my md1 array misses a disk. I have 2 disks out of 3 (the third
one is damaged and I can't buy another one right now).
Shouldn't it mount it anyway? It should be able to use it even if
there's one (and just one) disk missing... As I'm using it right now.

The tty4 looks fine. I think it's not interesting anymore, so I won't
attach the output. Just tell me if you need it :)

What should I do now? Is there a way to make it use that md1 array anyway?
Thank you :)
Comment 3 Jeremy Katz 2004-06-04 11:19:35 EDT
anaconda intentionally won't use an incomplete/damaged array.  There
are too many open questions there as to what led to the situation that
make an upgrade in that case extremely dangerous.  There's a different
RFE filed about supporting the use of degraded arrays, but that's
currently not a high priority item due to the risk involved.

So unfortunately, the answer is "fix your array to be complete"

Note You need to log in before you can comment on or make changes to this bug.